Subject: Re: linux-next: Signed-off-by missing for commits in the nios2 tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 12 Feb 2018 13:14:14 +1100

Hi Ley,

On Mon, 12 Feb 2018 09:23:49 +0800 Ley Foon Tan <[email-masked]> wrote:
>
> On Mon, 2018-02-12 at 09:20 +1100, Stephen Rothwell wrote:
> > 
> > Commits
> > 
> >   5d13c7317998 ("nios2: dts: Remove leading 0x and 0s from bindings
> > notation")
> >   e0691ebb33c1 ("nios2: defconfig: Cleanup from old Kconfig options")
> > 
> > are missing a Signed-off-by from their committer.
> 
> There are Signed-off-by in the commits.
> 
> Signed-off-by: Mathieu Malaterre <[email-masked]>
> Signed-off-by: Krzysztof Kozlowski <[email-masked]>

They are the authors of the patches, but you are the committer i.e. you
are on the path form the authors to Linus, so you need to add a
Signed-off-by tag as well.  I see Linus has merged theses commits now,
so there is nothing to be done for them, but in the future please add a
Signed-off-by tag for anything that you commit.

See section 11 of Documentation/process/submitting-patches.rst
-- 
Cheers,
Stephen Rothwell